T1024: How to change perl version in SDK2.0

cancel
Showing results for 
Search instead for 
Did you mean: 

T1024: How to change perl version in SDK2.0

289 Views
Contributor IV

Hi,

I have installed linux SDK 2.0 and generated toolchain as well. By default perl5.22 is being generated.

Can some one pls let me know how/where to make changes to get perl5.20 ??

Thanks in advance ...

Gourav

Labels (1)
Tags (4)
0 Kudos
12 Replies

16 Views
Contributor IV

hi,

Waiting for reply...its bit urgent...

0 Kudos

16 Views
Senior Contributor III
0 Kudos

16 Views
Contributor IV

Hi Vinod,

Thanks for the reply... but can you pls let me know with respect to NXP SDK2.0.

0 Kudos

16 Views
NXP TechSupport
NXP TechSupport

Please remove perl 5.22 recipes in sources/poky/meta/recipes-devtools/perl/, please use perl 5.20 recipes downloaded from perl\recipes-devtools\meta - poky - Poky Build Tool and Metadata to replace them.

$bitbake perl -c cleansstate

$bitbake perl

0 Kudos

16 Views
Contributor IV

Thanks for your reply Yiping,

1) I have copied following files to respected dir,

/home/hap/kavita/SDK2.0/QorIQ-SDK-V2.0-20160527-yocto/sources/poky/meta/recipes-devtools/perl

-rw-rw-r-- 1 hap hap 1024 Nov 14 16:28 libxml-simple-perl_2.20.bb
-rw-rw-r-- 1 hap hap 913 Nov 14 16:28 libxml-perl_0.08.bb
-rw-rw-r-- 1 hap hap 1216 Nov 14 16:28 libxml-parser-perl_2.44.bb
-rw-rw-r-- 1 hap hap 920 Nov 14 16:28 liburi-perl_1.60.bb
-rw-rw-r-- 1 hap hap 878 Nov 14 16:28 liberror-perl_0.17022.bb
-rw-rw-r-- 1 hap hap 3120 Nov 14 16:28 perl-rprovides.inc
-rw-rw-r-- 1 hap hap 61 Nov 14 16:28 perl-rprovides_5.20.0.inc
-rw-rw-r-- 1 hap hap 169353 Nov 14 16:28 perl-rdepends_5.20.0.inc
-rw-rw-r-- 1 hap hap 1465 Nov 14 16:28 perl-ptest.inc
-rw-rw-r-- 1 hap hap 4376 Nov 14 16:28 perl-native_5.20.0.bb
-rw-rw-r-- 1 hap hap 15698 Nov 14 16:28 perl_5.20.0.bb
drwxrwxr-x 4 hap hap 4096 Nov 14 16:28 perl-5.20.0

2) cd build_t1024rdb

3) bitbake -c cleansstate

4) bitbake perl

5) find . -name Util.pm

[hap@v-psg-mng build_t1024rdb]$ find . -name Util.pm
./tmp/sysroots/t1024rdb/usr/lib/perl/5.22.0/Scalar/Util.pm
./tmp/sysroots/t1024rdb/usr/lib/perl/5.22.0/Sub/Util.pm
./tmp/sysroots/t1024rdb/usr/lib/perl/5.22.0/Hash/Util.pm
./tmp/sysroots/t1024rdb/usr/lib/perl/5.22.0/List/Util.pm
./tmp/sysroots/t1024rdb/usr/lib/perl/vendor_perl/5.22.0/CGI/Util.pm
./tmp/sysroots/i686-linux/usr/lib/perl-native/perl/5.22.0/Scalar/Util.pm
./tmp/sysroots/i686-linux/usr/lib/perl-native/perl/5.22.0/Sub/Util.pm
./tmp/sysroots/i686-linux/usr/lib/perl-native/perl/5.22.0/Hash/Util.pm
./tmp/sysroots/i686-linux/usr/lib/perl-native/perl/5.22.0/List/Util.pm
./tmp/work/ppce5500-fsl-linux/libcgi-perl/4.38-r0/sysroot-destdir/usr/lib/perl/vendor_perl/5.22.0/CGI/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/sysroot-destdir/usr/lib/perl/5.22.0/Scalar/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/sysroot-destdir/usr/lib/perl/5.22.0/Sub/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/sysroot-destdir/usr/lib/perl/5.22.0/Hash/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/sysroot-destdir/usr/lib/perl/5.22.0/List/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/packages-split/perl-module-hash-util/usr/lib/perl/5.22.0/Hash/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/packages-split/perl-module-sub-util/usr/lib/perl/5.22.0/Sub/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/packages-split/perl-module-scalar-util/usr/lib/perl/5.22.0/Scalar/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/packages-split/perl-module-list-util/usr/lib/perl/5.22.0/List/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/package/usr/lib/perl/5.22.0/Scalar/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/package/usr/lib/perl/5.22.0/Sub/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/package/usr/lib/perl/5.22.0/Hash/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/package/usr/lib/perl/5.22.0/List/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/perl-5.22.0/lib/Scalar/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/perl-5.22.0/lib/Sub/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/perl-5.22.0/lib/Hash/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/perl-5.22.0/lib/List/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/perl-5.22.0/cpan/Scalar-List-Utils/lib/Scalar/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/perl-5.22.0/cpan/Scalar-List-Utils/lib/Sub/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/perl-5.22.0/cpan/Scalar-List-Utils/lib/List/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/perl-5.22.0/cpan/HTTP-Tiny/t/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/perl-5.22.0/ext/Hash-Util/lib/Hash/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/image/usr/lib/perl/5.22.0/Scalar/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/image/usr/lib/perl/5.22.0/Sub/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/image/usr/lib/perl/5.22.0/Hash/Util.pm
./tmp/work/ppce5500-fsl-linux/perl/5.22.0-r0/image/usr/lib/perl/5.22.0/List/Util.pm
./tmp/work/t1024rdb-fsl-linux/fsl-image-core/1.0-r0/rootfs/usr/lib/perl/5.22.0/Scalar/Util.pm
./tmp/work/t1024rdb-fsl-linux/fsl-image-core/1.0-r0/rootfs/usr/lib/perl/5.22.0/Sub/Util.pm
./tmp/work/t1024rdb-fsl-linux/fsl-image-core/1.0-r0/rootfs/usr/lib/perl/5.22.0/Hash/Util.pm
./tmp/work/t1024rdb-fsl-linux/fsl-image-core/1.0-r0/rootfs/usr/lib/perl/5.22.0/List/Util.pm
./tmp/work/t1024rdb-fsl-linux/fsl-image-core/1.0-r0/rootfs/usr/lib/perl/vendor_perl/5.22.0/CGI/Util.pm
./tmp/work/i686-linux/perl-native/5.22.0-r0/sysroot-destdir/home/hap/kavita/SDK2.0/QorIQ-SDK-V2.0-20160527-yocto/build_t1024rdb/tmp/sysroots/i686-linux/u sr/lib/perl-native/perl/5.22.0/Scalar/Util.pm
./tmp/work/i686-linux/perl-native/5.22.0-r0/sysroot-destdir/home/hap/kavita/SDK2.0/QorIQ-SDK-V2.0-20160527-yocto/build_t1024rdb/tmp/sysroots/i686-linux/u sr/lib/perl-native/perl/5.22.0/Sub/Util.pm
./tmp/work/i686-linux/perl-native/5.22.0-r0/sysroot-destdir/home/hap/kavita/SDK2.0/QorIQ-SDK-V2.0-20160527-yocto/build_t1024rdb/tmp/sysroots/i686-linux/u sr/lib/perl-native/perl/5.22.0/Hash/Util.pm
./tmp/work/i686-linux/perl-native/5.22.0-r0/sysroot-destdir/home/hap/kavita/SDK2.0/QorIQ-SDK-V2.0-20160527-yocto/build_t1024rdb/tmp/sysroots/i686-linux/u sr/lib/perl-native/perl/5.22.0/List/Util.pm

No where i'm getting 5.20 dir above.

Is there something else which i need to take care ??

--

Gourav

0 Kudos

16 Views
NXP TechSupport
NXP TechSupport

Please remove original perl 5.22 recipes, then run command "bitbake perl -c cleansstate" to clean the build cache.

0 Kudos

16 Views
Contributor IV

Hi Yiping,

Even after removing perl 5.22 files, doing bitbake -c cleansstate, bitbake perl. It's not generating any files or dir related to 5.20.

I suspect some where its define version 5.22 and its taking from that. I'm not able to grep in which file i need to change this version number. If you have any idea about this pls let me know. 

0 Kudos

16 Views
NXP TechSupport
NXP TechSupport

Hello gourav jain,

 

Please add the following line in build_t1024rdb/conf/local.conf.

PREFERRED_VERSION_perl = "5.20"

Thanks,
Yiping

0 Kudos

16 Views
Contributor IV

Hello Yiping,

After doing entry in local.conf and executing "bitbake perl -c cleansstate", i'm getting following log,

[hap@v-psg-mng build_t1024rdb]$ bitbake perl -c cleansstate
Parsing recipes: 100% |######################################################################################################################################################| Time: 00:01:04
Parsing of 2710 .bb files complete (0 cached, 2710 parsed). 3405 targets, 254 skipped, 0 masked, 0 errors.
NOTE: preferred version 5.20 of perl not available (for item perl)
NOTE: versions of perl available: 5.20.0 5.22.0
NOTE: Resolving any missing task queue dependencies

0 Kudos

16 Views
NXP TechSupport
NXP TechSupport

Please execute "bitbake perl -c cleansstate" first, then add PREFERRED_VERSION_perl = "5.20" in build_t1024rdb/conf/local.conf.

0 Kudos

16 Views
Contributor IV

hi,

I have removed all the files from dir, QorIQ-SDK-V2.0-20160527-yocto/sources/poky/meta/recipes-devtools/perl

And as of now following files are there,

 libxml-simple-perl_2.20.bb
 libxml-perl_0.08.bb
 libxml-parser-perl_2.44.bb
 liburi-perl_1.60.bb
 liberror-perl_0.17022.bb
 perl-rprovides.inc
 perl-rprovides_5.20.0.inc
 perl-rdepends_5.20.0.inc
perl-ptest.inc
perl-native_5.20.0.bb
perl_5.20.0.bb
perl-5.20.0

Is there any more places from where i need to remove ??

0 Kudos

16 Views
Contributor IV

hi,

waiting for your reply...

0 Kudos